Bug 2118489 - ClusterVersion history pruner does not always retain initial completed update entry
Summary: ClusterVersion history pruner does not always retain initial completed update...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 4.11
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.z
Assignee: Jack Ottofaro
QA Contact: Evgeni Vakhonin
URL:
Whiteboard:
Depends On: 2117347
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-08-15 22:57 UTC by OpenShift BugZilla Robot
Modified: 2022-09-09 05:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-09-09 05:15:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-version-operator pull 822 0 None Merged [release-4.6] Bug 2118489: pkg/cvo: retain initial completed update history entry 2022-08-21 06:04:47 UTC
Red Hat Product Errata RHSA-2022:6262 0 None None None 2022-09-09 05:15:33 UTC

Comment 1 Evgeni Vakhonin 2022-08-16 11:32:33 UTC
using the same steps as in https://bugzilla.redhat.com/show_bug.cgi?id=2108292#c1
reproducing on 4.6.59-x86_64 to 4.6.60-x86_64

history lenght is 50
last 3 items before prune
[
  {
    "completionTime": "2022-08-16T08:51:22Z",
    "image": "quay.io/openshift-release-dev/ocp-release@sha256:ef1bc928d6a6d343ec8bddd3eba356e0ed0753d56973d7b529e0d20b138c8786",
    "startedTime": "2022-08-16T08:50:23Z",
    "state": "Completed",
    "verified": true,
    "version": "4.6.59"
  },
  {
    "completionTime": "2022-08-16T08:50:23Z",
    "image": "quay.io/openshift-release-dev/ocp-release@sha256:7bdc6d8cdb0934a5addd6931097094541cefdf729a6e6b70b3ab64319b58abb5",
    "startedTime": "2022-08-16T08:50:07Z",
    "state": "Partial",
    "verified": true,
    "version": "4.6.60"
  },
  {
    "completionTime": "2022-08-16T07:01:22Z",
    "image": "quay.io/openshift-release-dev/ocp-release@sha256:ef1bc928d6a6d343ec8bddd3eba356e0ed0753d56973d7b529e0d20b138c8786",
    "startedTime": "2022-08-16T06:33:17Z",
    "state": "Completed",
    "verified": false,
    "version": "4.6.59"
  }
]

sending upgrade command to 4.6.59 ok
waiting for upgrade to start: 4.6.59
history lenght still 50
last 3 items after prune
[
  {
    "completionTime": "2022-08-16T08:51:46Z",
    "image": "quay.io/openshift-release-dev/ocp-release@sha256:7bdc6d8cdb0934a5addd6931097094541cefdf729a6e6b70b3ab64319b58abb5",
    "startedTime": "2022-08-16T08:51:37Z",
    "state": "Partial",
    "verified": true,
    "version": "4.6.60"
  },
  {
    "completionTime": "2022-08-16T08:51:22Z",
    "image": "quay.io/openshift-release-dev/ocp-release@sha256:ef1bc928d6a6d343ec8bddd3eba356e0ed0753d56973d7b529e0d20b138c8786",
    "startedTime": "2022-08-16T08:50:23Z",
    "state": "Completed",
    "verified": true,
    "version": "4.6.59"
  },
  {
    "completionTime": "2022-08-16T08:50:23Z",
    "image": "quay.io/openshift-release-dev/ocp-release@sha256:7bdc6d8cdb0934a5addd6931097094541cefdf729a6e6b70b3ab64319b58abb5",
    "startedTime": "2022-08-16T08:50:07Z",
    "state": "Partial",
    "verified": true,
    "version": "4.6.60"
  }
]

reproduced successfully - the last "Completed" item was pruned.



pre-merge verifying on 4.6.0-0.ci.test-2022-08-16-063852-ci-ln-mp0i9pk-latest to 4.6.0-0.ci.test-2022-08-16-064909-ci-ln-nwnsijt-latest

history lenght is 50
last 3 items before prune
[
  {
    "completionTime": "2022-08-16T11:13:08Z",
    "image": "registry.build05.ci.openshift.org/ci-ln-mp0i9pk/release@sha256:4212643adaf2688d6198cee7395b6edaf73fefb2298ed8683d3d400ce5f88e6b",
    "startedTime": "2022-08-16T11:12:03Z",
    "state": "Completed",
    "verified": false,
    "version": "4.6.0-0.ci.test-2022-08-16-063852-ci-ln-mp0i9pk-latest"
  },
  {
    "completionTime": "2022-08-16T11:12:03Z",
    "image": "registry.build05.ci.openshift.org/ci-ln-nwnsijt/release@sha256:62121fbe6d7704be193cd2c34bec8e512595f28441c34e4f5f85051df5f40095",
    "startedTime": "2022-08-16T11:11:41Z",
    "state": "Partial",
    "verified": false,
    "version": "4.6.0-0.ci.test-2022-08-16-064909-ci-ln-nwnsijt-latest"
  },
  {
    "completionTime": "2022-08-16T11:02:11Z",
    "image": "registry.build05.ci.openshift.org/ci-ln-mp0i9pk/release@sha256:4212643adaf2688d6198cee7395b6edaf73fefb2298ed8683d3d400ce5f88e6b",
    "startedTime": "2022-08-16T10:19:29Z",
    "state": "Completed",
    "verified": false,
    "version": "4.6.0-0.ci.test-2022-08-16-063852-ci-ln-mp0i9pk-latest"
  }
]
# repeat 1 more time
sending upgrade command to 4.6.0-0.ci.test-2022-08-16-063852-ci-ln-mp0i9pk-latest ok
waiting for upgrade to start: 4.6.0-0.ci.test-2022-08-16-063852-ci-ln-mp0i9pk-latest
history lenght still 50
last 3 items after prune
[
  {
    "completionTime": "2022-08-16T11:13:23Z",
    "image": "registry.build05.ci.openshift.org/ci-ln-nwnsijt/release@sha256:62121fbe6d7704be193cd2c34bec8e512595f28441c34e4f5f85051df5f40095",
    "startedTime": "2022-08-16T11:13:16Z",
    "state": "Partial",
    "verified": false,
    "version": "4.6.0-0.ci.test-2022-08-16-064909-ci-ln-nwnsijt-latest"
  },
  {
    "completionTime": "2022-08-16T11:13:08Z",
    "image": "registry.build05.ci.openshift.org/ci-ln-mp0i9pk/release@sha256:4212643adaf2688d6198cee7395b6edaf73fefb2298ed8683d3d400ce5f88e6b",
    "startedTime": "2022-08-16T11:12:03Z",
    "state": "Completed",
    "verified": false,
    "version": "4.6.0-0.ci.test-2022-08-16-063852-ci-ln-mp0i9pk-latest"
  },
  {
    "completionTime": "2022-08-16T11:02:11Z",
    "image": "registry.build05.ci.openshift.org/ci-ln-mp0i9pk/release@sha256:4212643adaf2688d6198cee7395b6edaf73fefb2298ed8683d3d400ce5f88e6b",
    "startedTime": "2022-08-16T10:19:29Z",
    "state": "Completed",
    "verified": false,
    "version": "4.6.0-0.ci.test-2022-08-16-063852-ci-ln-mp0i9pk-latest"
  }
]


Verified successfully - the last "Completed" item was preserved, while the next "Partial" was pruned as expected.

Comment 6 errata-xmlrpc 2022-09-09 05:15:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.6.61 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:6262


Note You need to log in before you can comment on or make changes to this bug.